/*
 *  file_parser.h -- BabyTrans ( Babylon Translator front-end for GTK )
 *
 *  Copyright (C) 1999-2002  Frederic Jolliton -- <babytrans@tuxee.net>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#ifndef FILE_PARSER_H
#define FILE_PARSER_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <iostream>
#include <string>
#include <vector>

enum FileParserStatus {
    fileParserOk = 0 ,
    fileParserEof = 1 ,
    fileParserSyntaxError = 2 ,
    fileParserIoError = 3
} ;

FileParserStatus	readConfigLine( std::istream& is ,
									std::vector< std::string >& option ) ;

#endif /* FILE_PARSER_H */

// vim: set ts=4 sw=4:
