/*
 *  gui_main.h -- BabyTrans ( Babylon Translator front-end for GTK )
 *
 *  Copyright (C) 1999-2002  Frederic Jolliton -- <babytrans@tuxee.net>
 *  Applet changes Copyright (C) 2000 by Marcus Schiesser
 *  <marcus.schiesser@student.uni-tuebingen.de>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#ifndef GUI_MAIN_H
#define GUI_MAIN_H

#include <string>

#include <gtk/gtk.h>

namespace guiMain {

/* Various color for text output */
enum Color {
	colorNormal ,
	colorHighlight ,
	colorError ,
	colorLast
} ;

struct ToolbarItem {
	const char**		xpmData ;
	const char*			name ;
	const char*			tips ;
	const char*			key ;
	void				( *cb )( GtkWidget* , gpointer ) ;
	bool				isValidForApplet ;
} ;

extern ToolbarItem	toolbarDescription[] ;

GtkWidget*			getWidget() ;
void				translateSelection() ;
std::string			getTextEntry() ;
void				setTextEntry( const std::string& text ) ;
void				clearText() ;
void				insertText( const std::string& text , Color color = colorNormal ) ;
void				freezeText() ;
void				thawText() ;
void				grabFocus() ;
void				raiseAndFocus() ;
void				update() ;
void				iconify() ;
void				display() ;

}

#endif // GUI_MAIN_H
