/*
 *  main.h -- BabyTrans ( Babylon Translator front-end for GTK )
 *
 *  Copyright (C) 1999-2002  Frederic Jolliton -- <babytrans@tuxee.net>
 *  Applet changes Copyright (C) 2000 by Marcus Schiesser
 *  <marcus.schiesser@student.uni-tuebingen.de>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#ifndef MAIN_H
#define MAIN_H

#include <vector>
#include <string>

#include <gtk/gtk.h>

namespace app {

struct LanguageItem
{
	std::string				shortName ;
	std::string				longName ;
	std::string				filename ;
public:
						LanguageItem( const std::string& sn ,
									   const std::string& ln ,
									   const std::string& fn ) {
		shortName = sn ;
		longName = ln ;
		filename = fn ;
	}
} ;
typedef std::vector< LanguageItem >
					LanguageList ;

extern LanguageList	languages ;

extern bool			applet ;

int					getDictionary() ;
bool				setDictionary( const std::string& language ) ;

extern int			currentDictionaryIndex ;

extern bool			autoRaise ;

bool				getAuto() ;
void				setAuto( bool flag ) ;

void				translateWord( const std::string& word ) ;
}

namespace guiMain {

GtkToolbarStyle		getToolbarStyle() ;
void				setToolbarStyle( GtkToolbarStyle s ) ;
void				update() ;

}

#endif // MAIN_H
